KDE 4.2 PyKDE API Reference

- KDE's Python API

# DBusExportModel Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.FilterModel → Soprano.Model → QObject
Namespace: Soprano::Server

## Detailed Description

\class DBusExportModel dbusexportmodel.h Soprano/Server/DBusExportModel

Exports a %Soprano Model via D-Bus.

DBusExportModel is a FilterModel like any other. As such, it can occure anywhere in a stack of models. However, the model exported via D-Bus is actually the FilterModel.parentModel, not the DBusExportModel itself. Thus, subclassing DBusExportModel to modify the behaviour of methods called via D-Bus does not make sense. Instead stack the DBusExportModel on top of your own custom FilterModel.

For creating a simple %Soprano D-Bus server see ServerCore.registerAsDBusObject.

The interface exported can be accessed via Client.DBusModel.

DBusExportModel automatically makes use of a Util.AsyncModel as parent model to create delayed D-Bus replies. If the parent model is not a Util.AsyncModel all calls will be performed syncroneously.

Author:
  Sebastian Trueg <trueg@kde.org>

\sa soprano_server_dbus

Since:
  2.1

## Methods

| __init__ (self, Soprano.Model model=0)
QString | dbusObjectPath (self)
bool | registerModel (self, QString dbusObjectPath)
| unregisterModel (self)

## Method Documentation

__init__ | ( | self, |
|  | Soprano.Model | model=0
| ) |  |  |

Create a new D-Bus export model.

Parameters:

  | model | The parent model which should be exported.

QString dbusObjectPath | ( |  | self ) |

The path this model is exported on. This is an empty string if the model is not exported.

bool registerModel | ( | self, |
|  | QString | dbusObjectPath
| ) |  |  |

Register the model under the given D-Bus object path. \sa QDBusConnection.registerObject

unregisterModel | ( |  | self ) |

Unregister the model from D-Bus. \sa QDBusConnection.unregisterObject